summaryrefslogtreecommitdiffstats
path: root/jjb/xci/xci-run-functest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/xci/xci-run-functest.sh')
-rwxr-xr-xjjb/xci/xci-run-functest.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/jjb/xci/xci-run-functest.sh b/jjb/xci/xci-run-functest.sh
index 169d86f12..4fbc6c40d 100755
--- a/jjb/xci/xci-run-functest.sh
+++ b/jjb/xci/xci-run-functest.sh
@@ -20,4 +20,11 @@ if [[ "$GERRIT_TOPIC" =~ skip-verify|skip-deployment ]]; then
exit 0
fi
+# skip the deployment if the scenario is not supported on this distro
+OPNFV_SCENARIO_REQUIREMENTS=$WORKSPACE/xci/opnfv-scenario-requirements.yml
+if ! sed -n "/^- scenario: $DEPLOY_SCENARIO$/,/^$/p" $OPNFV_SCENARIO_REQUIREMENTS | grep -q $DISTRO; then
+ echo "# SKIPPED: Scenario $DEPLOY_SCENARIO is NOT supported on $DISTRO"
+ exit 0
+fi
+
echo "Hello World!"